## Delete a Slot Filler

### Endpoint
DELETE /v2.0/flows/{flowId}/slotfillers/{slotFillerId}

### Try it
#### cURL
```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId} \
  --header 'X-API-Key: <api-key>'
```

#### Python
```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)
```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes
- 204: Successfully deleted SlotFiller
- 400: Bad Request - Validation failed. Missing payload.
- 401: Unauthorized
- 403: Forbidden
- 404: Not Found
- 405: Method Not Allowed
- 409: Conflict
- 413: Payload Too Large
- 500: Internal Server Error
- 503: Service Unavailable

### Error Responses
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations
**API Key**  
- Header: `X-API-Key` (required)

### Headers
**Accept**  
- The `Accept` header specifies the media type that the client expects in the response.  
- Available options:  
  - `application/json`  
  - `application/hal+json`  
  - `application/xml`  
  - `text/xml`  
  - `text/csv`

---  
### Path Parameters
- **flowId** (string, required): The unique identifier for the Flow.
- **slotFillerId** (string, required): The unique identifier for the Slot Filler.
